#
# spec file for package dleyna-connector-dbus
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           dleyna-connector-dbus
Version:        0.4.1
Release:        150400.1.6
Summary:        dLeyna connector interface -- DBus
License:        LGPL-2.1-only
Group:          System/Libraries
URL:            https://github.com/phako/dleyna-connector-dbus
Source:         %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(dleyna-core-1.0) >= 0.7.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.28
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
Provides:       dleyna-connector(dbus)

%description
D-Bus connector for dLeyna services.

%prep
%autosetup -p1

%build
%meson \
	%{nil}
%meson_build

%install
%meson_install

%files
%license COPYING
%doc ChangeLog README.md
%dir %{_libdir}/dleyna-1.0
%dir %{_libdir}/dleyna-1.0/connectors
%{_libdir}/dleyna-1.0/connectors/libdleyna-connector-dbus.so

%changelog
* Sun Sep 26 2021 bjorn.lie@gmail.com
- Update to version 0.4.1:
  + Fix use-after-free on shutdown due to missing reference on bus
- Changes from version 0.4.0:
  + Remove build-time dependency on dbus-1
  + Move build system to meson
- Add meson BuildRequires and macros, and drop libtool
  BuildRequires following upstreams port.
- Drop pkgconfig(dbus-1) BuildRequires following upstream changes.
- Update URL and Source to new home, as intel have dropped
  maintenance of this package, go with the leading fork.
* Fri Feb 16 2018 bjorn.lie@gmail.com
- Update to version 0.3.0:
  + Don't crash when trying to unwatch non-existent client.
  + [m4]:
  - Don't use bash arrays in m4 macros.
  - Don't use bash "let" builtin.
  - Use AS_VAR_APPEND macro instead of "+=".
- Do a minor spec cleanup.
- Add libtool BuildRequires and pass autoreconf, bootstrap tarball.
- Pass --disable-static to configure, ensure we do not build any
  static files.
* Mon Aug 25 2014 dimstar@opensuse.org
- Update to version 0.2.0:
  + Updated to work with latest version of dLeyna-core.
* Mon Aug 12 2013 dimstar@opensuse.org
- Initial package, version 0.1.0.
